<?php
include_once("include/main.inc.php"); 
date_default_timezone_set('Asia/Kolkata');
$date=date('Y-m-d H:i');

 @extract($_POST);
$admin_sql=mysqli_query($dbconn,"select * from admin_details");
$admin_res=mysqli_fetch_array($admin_sql);
$referer = $_SERVER['HTTP_REFERER'];
$ip=$_SERVER['REMOTE_ADDR'];

if(!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$caten_message)){  
if($catuser_name!='' &&  $catemail_address!='' && $catphone_no!='' && $catlocation!='' && $caten_message!='' && $quantity!=''){
    
  if (filter_var($catemail_address, FILTER_VALIDATE_EMAIL)) {
if(strlen($catphone_no)==10){

    $secret = SECRET_KEY;
    $data = array( 'secret' => $secret, 'response' => $_POST['g-recaptcha-response'] ); $verify = curl_init(); curl_setopt($verify, CURLOPT_URL, "https://www.google.com/recaptcha/api/siteverify"); curl_setopt($verify, CURLOPT_POST, true); curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query($data)); curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false); curl_setopt($verify, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($verify); //var_dump($response);
$response = json_decode($response);
if ($response->success) {
$sql_ens = "insert into tbl_enquiry set en_name='$catuser_name', en_email='$catemail_address', en_mobile='$catphone_no', en_country='$catlocation', en_product_name='$catproduct', en_comment='$caten_message', en_url='$referer', en_quantity='$quantity', en_zcode='$countrycode', en_date='$date', en_ip='$ip'";
   
    $name = $catuser_name;
   $email = $catemail_address;
$qry = mysqli_query($dbconn,$sql_ens);
$mobileNumbers= '+'.$countrycode.' - '.$catphone_no;      
$subject = utf8_encode($admin_res['subject']);
            $htmlContent =  '<table border="0" width="100%">
        <tbody>
  <tr>
    <td colspan="2">
      <strong>Dear Admin</strong></td>
  </tr>
  <tr>
    <td colspan="2">
      Enquiry Received with following info :</td>
  </tr>
  <tr>
    <td colspan="2">
      &nbsp;</td>
  </tr>
  <tr>
    <td width="26%">
      <strong>Post URL : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $referer . '</span></td>
  </tr>
   <tr>
    <td width="26%">
      <strong>Name : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $name . '</span></td>
  </tr>
  <tr>
    <td width="26%">
      <strong>Email Id : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $email . '</span></td>
  </tr>
  <tr>
  <tr>
   <td width="26%">
     <strong>Contact Number : </strong></td>
   <td>
     <span style="margin-top: 15px;">' . $mobileNumbers . '</span></td>
 </tr>

  
  <tr>
    <td>
      <strong>Location : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $catlocation . '</span></td>
  </tr>
  <tr>
    <td>
      <strong>Order Quantity : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $quantity . '</span></td>
  </tr>
  <tr>
  <tr>
    <td>
      <strong>Message : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $caten_message . '</span></td>
  </tr>
</tbody>
       
        </table>';
            
 $to =  $admin_res['email'];
$to2 = $admin_res['cc'];
$to3 = $admin_res['bcc'];


		
	if($to!='')
         {
         smtp_mailer($to, $email, $name, $subject, $htmlContent);
         }
         if($to2!='')
         {
         smtp_mailer($to2, $email, $name, $subject, $htmlContent);
         }
       
         smtp_mailer($to3, $email, $name, $subject, $htmlContent);
        
        $res = 'success';


}
    else{
      $res = '<div class="alert alert-danger alert-dismissible show">Please verify you are human by filling out the captcha <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';  
    }
}
    else{
        $res = '<div class="alert alert-danger alert-dismissible  show">Please Enter 10 Digit Mobile Number. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
    }
    }
    else{
       $res = '<div class="alert alert-danger alert-dismissible  show">Invalid Email Format <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';  
    }
}
        else {
                $res = '<div class="alert alert-danger alert-dismissible  show">Asterisk(*) Marked fields are Mandatory. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
        }
    }else{ 
         $res ='<div class="alert alert-danger alert-dismissible  show">URL(s) and special characters are not allowed <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
         }
  
    echo $res;
    
?>
